ReferenceAPIOperationsIntegrations
Start GitLab integration
Creates a GitLab integration with OAuth or personal token auth.
Operation ID
gitlab_startCreates a GitLab integration with OAuth or personal token auth.
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/integrations/gitlab/start" \ -H "Content-Type: application/json" \ -d '{ "auth_mode": "github_app", "host_url": "string" }'{ "integration": { "app_id": "string", "app_slug": "string", "auth_mode": "string", "created_at": 0, "created_by": "string", "display_name": "string", "host_url": "string", "id": "string", "provider": "github", "status": "string", "updated_at": 0 }}